import React, { useState, useImperativeHandle } from "react";

import style from "./index.module.css";
import { TextField } from "@mui/material";
import MyDialog from "@/components/mui/MyDialog";
import { checkIsNumberLetterChinese } from "@/utils/util";
import folderIcon from "@/assets/project/folderIcon.svg";
import { useMessage } from "@/components/MySnackbar";
import MyTreeView from "@/components/mui/MyTreeView";

const MoveFile = (props: any) => {
  const { list } = props;
  const Message = useMessage();
  let addFolderDialogRef: any = React.createRef();

  const showDialog = () => {
    addFolderDialogRef.current.handleClickOpen();
  };

  useImperativeHandle(props.onRef, () => {
    return {
      showDialog: showDialog,
    };
  });

  const handleMoveFileSubmit = () => {
    console.log("submit");
  };

  const renderLabel = (labelNmae: string) => {
    return (
      <span className={style.treeLabel}>
        <img className={style.labelFolderIcon} src={folderIcon} alt="" />
        {labelNmae}
      </span>
    );
  };

  const treeData = {
    id: 1232,
    name: "na567me",
    children: [
      {
        id: 1232358,
        name: "nam89e4123",
      },
      {
        id: 1232395,
        name: "nam89e32123",
      },
      {
        id: 1232035,
        name: "n2am89e123",
      },
    ],
  };

  const onNodeFocus = (a: any, b: any) => {
    console.log("onNodeFocus", a, b);
  };
  const onNodeSelect = (a: any, b: any) => {
    console.log("onNodeSelect", a, b);
  };
  const onNodeToggle = (a: any, b: any) => {
    console.log("onNodeToggle", a, b);
  };

  const moveFileSubmitloading = false;
  const [fileName, setFileName] = useState("");
  const [fileNameCheck, setFileNameCheck] = useState({
    error: false,
    help: "",
  });

  return (
    <MyDialog
      handleSubmit={handleMoveFileSubmit}
      onRef={addFolderDialogRef}
      title="移动至"
      submitloading={moveFileSubmitloading}
    >
      <MyTreeView
        treeData={treeData}
        renderLabel={renderLabel}
        onNodeFocus={onNodeFocus}
        onNodeSelect={onNodeSelect}
        onNodeToggle={onNodeToggle}
        defaultExpanded={[String(treeData.id)]}
        treeViewSx={{
          width: 400,
        }}
      ></MyTreeView>
    </MyDialog>
  );
};

export default MoveFile;
